@import url('https://fonts.googleapis.com/css2?family=Hammersmith+One&display=swap');

* {
    box-sizing: border-box;
    font-family: 'Hammersmith One', sans-serif;
}

body {
    background-color: #1b1E23;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    min-height: 100vh;


}

.box {
    position: relative;
    width: 380px;
    height: 420px;
    background-color: black;
    border-radius: 8px;
    overflow: hidden;

}

.box::after {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 380px;
    height: 420px;
    background: linear-gradient(0deg, transparent, #4765ff, #4765ff);
    transform-origin: bottom right;
    animation: animate 6s linear infinite;
    animation-delay: -3s;

}

.box::before {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 380px;
    height: 420px;
    background: linear-gradient(0deg, transparent, #4765ff, #4765ff);
    transform-origin: bottom right;
    animation: animate 6s linear infinite;

}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }

}

.form {
    background-color: #272c33;
    position: absolute;
    z-index: 10;
    border-radius: 8px;
    inset: 2px;
    padding: 50px 40px;
    display: flex;
    flex-direction: column;
}


.form h2 {
    color: #4765ff;
    font-weight: 500;
    text-align: center;
    letter-spacing: 0.1em;
}

.inputBox {
    position: relative;
    width: 300px;
    margin-top: 35px;

}

.inputBox input {
    position: relative;
    width: 100%;
    padding: 20px 10px 10px;
    background: transparent;
    border: none;
    outline: none;
    color: #272c33;
    font-size: 1em;
    letter-spacing: 0.05em;
    z-index: 10;

}


.inputBox span {
    position: absolute;
    left: 0;
    padding: 20px, 0px, 10px;
    font-size: 1em;
    color: #8f8f8f;
    pointer-events: none;
    letter-spacing: 0.05em;
    transition: 0.5s;

}

.inputBox input:valid~span,
.inputBox input:focus~span {
    color: #4765ff;
    transform: translate(0px) translateY(-34px);
    font-size: 0, 75em;
}

.inputBox i {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: #4765ff;
    border-radius: 4px;
    transition: 0.5s;
    pointer-events: none;
    z-index: 9;

}

.inputBox input:valid~i,
.inputBox input:focus~i {
    height: 44px;
}

.links {
    display: flex;
    justify-content: space-between;

}

.links a {
    margin: 10px 0;
    font-size: 0.75em;
    color: #8f8f8f;
    text-decoration: none;


}

.link a:hover,
.links a:nth-child(2) {
    color: #4765ff;
}


button {
    border: none;
    outline: none;
    background: #4765ff;
    padding: 11px 25px;
    width: 100px;
    margin-top: 10px;
    border-radius: 4px;
    font-weight: 600;
    cursor: pointer;
}

button:active {
    opacity: 0.8;
}

.logo {
    width: 40%;
}